import { Command, flags } from '@oclif/command';
import { Preset } from '../service';
export default class Config extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        preset: flags.IOptionFlag<Preset>;
        assembly: flags.IOptionFlag<string | undefined>;
        target: flags.IOptionFlag<string>;
        customPreset: flags.IOptionFlag<string | undefined>;
        reset: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
    };
    run(): Promise<void>;
}
