import { CertificatePair } from '../model';
declare type CertificateParams = {
    target: string;
};
import { pki } from 'node-forge';
export declare class ForgeCertificateService {
    protected readonly params: CertificateParams;
    constructor(params: CertificateParams);
    run(name: string): Promise<CertificatePair>;
    createCaCertificate(target: string, prefix: string, name: string): Promise<pki.KeyPair>;
    createNodeCertificate(target: string, prefix: string, name: string, caKeyPair: pki.KeyPair): Promise<CertificatePair>;
    private createCertCommands;
}
export {};
